![icon](doc/readme-images/icon.png) Power Station Industrializer
-----------------------------

Copyright (c) 2000-2005 David A. Bartold

Copyright (c) 2014 Wladimir J. van der Laan

Copyright (c) 2020 Yury G. Aliaev

This program generates synthesized percussion sounds using physical modelling.
The range of sounds possible include but is not limited to cymbal sounds,
metallic noises, bubbly sounds, and chimes.  After a sound is rendered, it
can be played and then saved to a .WAV file.

Requires:

  * Gtk+-2.0 version 2.4.0 or higher
    (`apt-get install libgtk2.0-dev`)
  * libxml2 2.6.0 or higher
    (`apt-get install libxml2-dev`)
  * audiofile 0.2.0 or higher
    (`apt-get install libaudiofile-dev`)

Optional:

  * gtkglext-1.0 version 1.0 or higher
    (`apt-get install libgtkglext1-dev`) - required for visualization

The following audio drivers can optionally be used for audio preview:

  * JACK
    (`apt-get install libjack-dev`)
  * PulseAudio
    (`apt-get install libpulse-dev`)
  * ALSA
    (`apt-get install libasound2-dev`)

Screenshot
-----------
![screenshot](doc/readme-images/screenshot.png)

There is also a [youtube demonstration](http://qubodup.wordpress.com/2012/01/25/boiing-chiing-diing-psindustrializer-generates-metal-sounds/) of an older version
by Iwan Gabovitch.

How to compile and install
---------------------------

Note: You *must* run "make install" for the About window to work.

```bash
./autogen.sh
./configure --prefix=/usr
make
make install
```

Origin
-------
The original site for this project is [on sourceforge](https://sourceforge.net/projects/industrializer/).

License
--------

All code except .c and .h files from the 'psphymod' directory is
licensed under the GNU General Public License version 2, or at your
option, any later version.

.c and .h files from the 'psphymod' directory are licensed under the
GNU Library General Public License version 2, or at your option, any
later version.

